'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Definition = undefined;

var _constants = require('../constants');

var makeDefinition = function makeDefinition(definitionDTO) {
  return {
    globalguid: definitionDTO.id,
    name: definitionDTO.name,
    foldername: definitionDTO.name.toLowerCase(),
    description: definitionDTO.description,
    homeurl: definitionDTO.url,
    icon: definitionDTO.icon,
    version: definitionDTO.version || _constants.DEFAULT_VERSION,
    runtimeversion: _constants.RUNTIME_VERSION,
    author: definitionDTO.author || _constants.DEFAULT_USER,
    type: _constants.CUSTOM,
    systemdefinition: {
      properties: [],
      authentications: [{
        authenticationtype: _constants.CUSTOM,
        name: _constants.CUSTOM,
        properties: definitionDTO.auth
      }]
    },
    actions: definitionDTO.actions
  };
};

var Definition = exports.Definition = function Definition(definitionDTO) {
  return makeDefinition(definitionDTO);
};