#!/usr/bin/env node
'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _path = require('path');

var _mkpath = require('mkpath');

var _core = require('./core');

var _utils = require('./utils');

try {
  var config = require((0, _path.resolve)('./bz.config.js'));

  var definition = (0, _core.Definition)(_extends({
    id: (0, _utils.uuid)()
  }, config, {
    auth: (0, _core.Auth)(config.auth),
    actions: (0, _core.Action)(config.actions)
  }));

  (0, _mkpath.sync)('def', parseInt('0777', 8));
  _core.exporter.exportConnectorDefinition(definition);
  _core.exporter.exportConnectorActions(config.actions);

  console.info('Connector definition built.');
} catch (err) {
  console.error('An error ocurred while building your connector definition', err.message, err.stack);
}